%define glib2_version 2.1.3
%define pango_version 1.1.2
%define gtk2_version 2.2.0
%define libgnomeui_version 2.0.0
%define libgnomeprint_version 2.2.0
%define libgnomeprintui_version 2.2.0
%define desktop_file_utils_version 0.9
%define nautilus_version 2.2.0

Summary:	File Roller is a tool for viewing and creating archives.
Name:		file-roller
Version:	2.8.1
Release:	1

License:	GPL
Group:		Applications/Archiving
URL:		http://ftp.gnome.org/pub/gnome/sources/file-roller/
Source:		file-roller-%{version}.tar.bz2
Patch0:		file-roller-2.8.0-no-remote-files.patch
BuildRoot:	%{_tmppath}/file-roller-%{version}-root

PreReq:         scrollkeeper >= 0.3.4-2
PreReq:         GConf2
PreReq:         /usr/bin/gconftool-2
PreReq:         desktop-file-utils >= %{desktop_file_utils_version}

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnomeprintui22-devel >= %{libgnomeprintui_version}
BuildRequires: libgnomeprint22-devel >= %{libgnomeprint_version}
BuildRequires: nautilus >= %{nautilus_version}
BuildRequires: libtool
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}

# The context menu API changed in 2.2.0:
Conflicts: nautilus < 2.2.0


%description
File Roller is an application for creating and viewing archives files, 
such as tar files.

%prep
%setup -q
%patch0 -p1

%build
autoconf
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# temporary hack to add missing semicolon, fix sent upstream
perl -pi -e 's/Categories=Application;Utility$/Categories=Application;Utility;/' $RPM_BUILD_ROOT%{_datadir}/applications/*

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/libfile-roller-component.la
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/libfile-roller-component.a

rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications
scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="file-roller.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
update-desktop-database %{_datadir}/applications
scrollkeeper-update

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_bindir}/*
%{_datadir}/file-roller
%{_datadir}/gnome
%{_datadir}/pixmaps/*
%{_datadir}/omf
%{_datadir}/applications
%{_datadir}/mime-info/*
%{_datadir}/application-registry
%{_sysconfdir}/gconf/schemas
%{_libdir}/bonobo/*.so
%{_libdir}/bonobo/servers

%changelog
* Tue Oct  5 2004 Christopher Aillon <caillon@redhat.com> 2.8.1-1
- Update to 2.8.1

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 2.8.0-4
- Prereq desktop-file-utils >= 0.9

* Tue Sep 28 2004 Christopher Aillon <caillon@redhat.com> 2.8.0-2
- update-desktop-database after uninstall.
- nautilus shouldn't try to open remote files with file-roller (#133592)

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com> 2.8.0-1
- Update to 2.8.0

* Mon Aug 30 2004 Christopher Aillon <caillon@redhat.com> 2.7.5-0
- Update to 2.7.5

* Wed Aug 18 2004 Christopher Aillon <caillon@redhat.com> 2.7.4-0
- Update to 2.7.4

* Mon Aug 16 2004 Christopher Aillon <caillon@redhat.com> 2.7.3-3
- Use update-desktop-database instead of rebuild-mime-info-cache

* Sun Aug 15 2004 Christopher Aillon <caillon@redhat.com> 2.7.3-2
- Rebuild MIME info cache

* Thu Aug 05 2004 Christopher Aillon <caillon@redhat.com> 2.7.3-1
- Update to 2.7.3

* Sat Jul 03 2004 Christopher Aillon <caillon@redhat.com> 2.6.2-1
- update to 2.6.2

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 09 2004 Christopher Aillon <caillon@redhat.com> 2.6.1-1
- update to 2.6.1

* Fri Apr  2 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Tue Mar  9 2004 Alexander Larsson <alexl@redhat.com> 2.5.6-1
- update to 2.5.6

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 2.5.5-1
- update to 2.5.5

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 2.5.2-1
- update to 2.5.2

* Fri Oct  3 2003 Alexander Larsson <alexl@redhat.com> 2.4.0.1-1
- 2.4.0.1

* Tue Aug 19 2003 Alexander Larsson <alexl@redhat.com> 2.3.4-1
- update for gnome 2.3

* Fri Aug  8 2003 Elliot Lee <sopwith@redhat.com> 2.2.3-5
- Fix libtool

* Wed Jul  9 2003 Alexander Larsson <alexl@redhat.com> 2.2.3-4.E
- Rebuild

* Thu Jun 5 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun  5 2003 Alexander Larsson <alexl@redhat.com> 2.2.3-3
- Update scrollkeeper prereq to version 0.3.4-2 (#92251)

* Mon May 19 2003 Alexander Larsson <alexl@redhat.com> 2.2.3-2
- Use system libtool

* Mon May 19 2003 Alexander Larsson <alexl@redhat.com> 2.2.3-1
- Update to 2.2.3

* Tue Feb  4 2003 Alexander Larsson <alexl@redhat.com> 2.2.1-2
- Add patch that disables monitoring in recent-files

* Fri Jan 31 2003 Alexander Larsson <alexl@redhat.com> 2.2.1-1
- Update to 2.2.1, more translations

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Alexander Larsson <alexl@redhat.com> 2.2.0-1
- Update to 2.2.0
- Conflict with nautilus < 2.2.0

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com> 2.1.5-1
- Update to 2.1.5

* Thu Dec 19 2002 Havoc Pennington <hp@redhat.com>
- 2.1.4
- remove noscripts patch, now upstream

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 2.1.3-3
- fix server file path

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 2.1.3-2
- Remove unpackaged files

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 2.1.3-1
- Update to 2.1.3

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- 2.1.2
- fix unpackaged files

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- fix URL field
- put icon in file list
- 2.0.0 stable release

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- initial build

